Name:          jiapi
Version:       0.4.0
Release:       %mkrel 2
Summary:       A highlevel API to instrument Java bytecode
Group:         Development/Java
License:       LGPL
Url:           http://jiapi.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/jiapi/jiapi/jiapi-0.4.0.zip
BuildRequires: ant
BuildRequires: aopalliance
BuildRequires: bcel
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: regexp
Requires:      jpackage-utils
Requires:      liblog4j-java
BuildArch:     noarch

%description
Jiapi can be used to modify bytecode of a Java class before it is loaded into a virtual machine.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Jiapi - A highlevel API to instrument Java bytecode.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
Jiapi - A highlevel API to instrument Java bytecode.

This package contains documentation for %{name}.

%prep
%setup -q -n jiapi

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

cat > build,properties << __GIL
regexp.jar=$(build-classpath regexp)
bcel.jar=$(build-classpath bcel)
junit.jar=$(build-classpath junit)
log4j.jar=$(build-classpath log4j)
#openjgraph.jar= http://sourceforge.net/apps/mediawiki/jinsect/index.php?title=Main_Page
#jikesbt.jar= http://www.alphaworks.ibm.com/tech/jikesb
__GIL

%build

export CLASSPATH=$(build-classpath regexp bcel aopalliance log4j junit)
ant dist doc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}

install -m 644 build/jiapi/lib/jiapi.jar \
  %{buildroot}%{_javadir}/jiapi-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jiapi-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/jiapi-%{version}
ln -s jiapi-%{version} %{buildroot}%{_javadocdir}/jiapi
rm -rf docs/api

sed -i "s|api/|%{_javadocdir}/jiapi|" docs/toc.html

%files
%{_javadir}/jiapi-%{version}.jar
%{_javadir}/jiapi.jar
%doc BUGS ChangeLog LICENSE README* TODO

%files javadoc
%{_javadocdir}/jiapi-%{version}
%{_javadocdir}/jiapi

%files manual
%doc docs/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 355446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 27 2011 dmorgan <dmorgan> 0.4.0-1.mga2
+ Revision: 135654
- Add back missing Name:
- Remove useless macros

  + gil <gil>
    - imported package jiapi

